PUBLICKEY(5)

NAME
publickey - public key database

SYNOPSIS
/etc/publickey

DESCRIPTION
/etc/publickey is the public key database used for secure RPC (Remote Procedure Calls). Each entry in the database consists of a network user name (which may either refer to a user or a hostname), followed by the user's public key (in hex notation), a colon, and then the user's secret key encrypted with its login password (also in hex notation).

This file is altered either by the user through the chkey(1) command or by the system administrator through the newkey(8) command. The file /etc/publickey should only contain data on the NIS master machine, where it is converted into the NIS database publickey.byname.

SEE ALSO
chkey(1), publickey(3), newkey(8), ypupdated(8)